
# http://wiki.mandriva.com/en/Development/Packaging/Problems
# allow the compilation 
%define Werror_cflags %nil


%define name grsync
%define version 0.6.2
%define release %mkrel 1

%define summary Grsync is a GUI (Graphical User Interface) for rsync

Summary: %{summary}
Name: 	 %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/File transfer
URL: http://www.opbyte.it/grsync/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  pkgconfig
BuildRequires:  gtk+2-devel perl-XML-Parser desktop-file-utils
BuildRequires:  dos2unix
%description
Grsync is a GUI (Graphical User Interface) for rsync, the commandline
directory synchronization tool. It makes use of the GTK2 libraries and
it is released under the GPL2. It is in beta stage and it supports only
a limited set of rsync features, but can be effectively used to
synchronize local directories. Only sources are available as of now,
they can be compiled on various flavours of unices having gtk and autotools,
but it should be possible to compile it under win too. Some ready-made
packages for linux distributions have been made by third parties.

%prep
%setup -q

perl -p -i -e 's/grsync.png/grsync/g' grsync.desktop

%build
%configure2_5x
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -m644 pixmaps/%{name}.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 pixmaps/%{name}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 pixmaps/%{name}.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="FileTransfer" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

dos2unix NEWS AUTHORS README

%clean
rm -rf $RPM_BUILD_ROOT


%if %mdkversion < 200900
%post
%{update_menus}
%endif


%if %mdkversion < 200900
%postun
%{clean_menus}
%endif


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL NEWS README
%{_bindir}/%{name}
%{_bindir}/%{name}-batch
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/grsync.png
%{_mandir}/*/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png




%changelog
* Sun Jan 25 2009 trem <trem@mandriva.org> 0.6.2-1mdv2009.1
+ Revision: 333480
- update to 0.6.2
- add define Werror_cflags %%nil to compile

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.1-3mdv2009.0
+ Revision: 246646
- rebuild
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 14 2007 Jérôme Soyer <saispo@mandriva.org> 0.6.1-1mdv2008.1
+ Revision: 119761
- New release 0.6.1

* Wed Jul 25 2007 trem <trem@mandriva.org> 0.6-1mdv2008.0
+ Revision: 55538
- new release 0.6


* Fri Jan 26 2007 Lenny Cartier <lenny@mandriva.com> 0.5.2-3mdv2007.0
+ Revision: 113730
- Buildrequires
- Buildrequires
- Update to 0.5.2
- Import grsync

* Fri Aug 18 2006 trem <trem@mandriva.org> 0.5-1mdv2007.0
- New release 0.5

* Mon Aug 07 2006 trem <trem@mandriva.org> 0.4.3-2mdv2007.0
- Migration to XDG menu (was not added in 0.4.3-1mdk)

* Mon Aug 07 2006 trem <trem@mandriva.org> 0.4.3-1mdk
- New release 0.4.3
- Migration to XDG menu

* Sun May 21 2006 trem <trem@mandriva.org> 0.4.2-1mdk
- New release 0.4.2

* Wed May 10 2006 trem <trem@mandriva.org> 0.4.1-3mdk
- Remove %%{_desktopdir} macro (not a standard macro)

* Fri May 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.1-2mdk
- Add BuildRequires

* Wed May 03 2006 trem <trem@mandriva.org> 0.4.1-1mdk
- New release 0.4.1

* Mon May 01 2006 trem <trem@mandriva.org> 0.4-1mdk
- New release 0.4

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.2-3mdk
- Fix BuildRequires

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.2-2mdk
- Fix BuildRequires

* Wed Apr 12 2006 trem <trem@mandriva.org> 0.3.2-1mdk
- New release 0.3.2

* Mon Feb 27 2006 trem <trem@mandriva.org> 0.3-1mdk
- New release 0.3

* Tue Feb 14 2006 Jerome Soyer <saispo@mandriva.org> 0.2.2-1mdk
- New release 0.2.2

* Thu Jan 12 2006 <trem@mandriva.org> 0.2-1mdk
- Initial build.

